## org.hibernate.testing.junit4
Class CustomRunner

    java.lang.Object
      org.junit.runner.Runner
          org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>
              org.junit.runners.BlockJUnit4ClassRunner
                  org.hibernate.testing.junit4.CustomRunner

All Implemented Interfaces:
  org.junit.runner.Describable, org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Sortable

    public class CustomRunner

extends org.junit.runners.BlockJUnit4ClassRunner

The Hibernate-specific `Runner` implementation which layers `ExtendedFrameworkMethod` support on top of the standard JUnit `FrameworkMethod` for extra information after checking to make sure the test should be run.

Nested Class Summary
`static class` `CustomRunner.IgnoreImpl`

Constructor Summary
`CustomRunner(Class<?> clazz)`

Method Summary
`protected void` `collectInitializationErrors(List<Throwable> errors)`
`protected List<org.junit.runners.model.FrameworkMethod>` `computeTestMethods()`
`protected org.junit.Ignore` `convertSkipToIgnore(org.junit.runners.model.FrameworkMethod frameworkMethod)`
`protected Object` `createTest()`
`protected List<org.junit.runners.model.FrameworkMethod>` `doComputation()`
`TestClassMetadata` `getTestClassMetadata()`
`protected Object` `getTestInstance()`
`protected org.junit.runners.model.Statement` `methodBlock(org.junit.runners.model.FrameworkMethod method)`
`protected void` `sortMethods(List<org.junit.runners.model.FrameworkMethod> computedTestMethods)`
`protected org.junit.runners.model.Statement` `withAfterClasses(org.junit.runners.model.Statement statement)`
`protected org.junit.runners.model.Statement` `withBeforeClasses(org.junit.runners.model.Statement statement)`

Methods inherited from class org.junit.runners.BlockJUnit4ClassRunner
`describeChild, getChildren, methodInvoker, possiblyExpectingExceptions, runChild, testName, validateConstructor, validateInstanceMethods, validateOnlyOneConstructor, validateTestMethods, validateZeroArgConstructor, withAfters, withBefores, withPotentialTimeout`

Methods inherited from class org.junit.runners.ParentRunner
`childrenInvoker, classBlock, filter, getDescription, getName, getTestClass, run, setScheduler, sort, validatePublicVoidNoArgMethods`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomRunner

    public CustomRunner(Class<?> clazz)
                 throws org.junit.runners.model.InitializationError,
                        org.junit.runner.manipulation.NoTestsRemainException

Throws:
  `org.junit.runners.model.InitializationError`
  `org.junit.runner.manipulation.NoTestsRemainException`

Method Detail

### collectInitializationErrors

    protected void collectInitializationErrors(List<Throwable> errors)

  Overrides:
    `collectInitializationErrors` in class `org.junit.runners.BlockJUnit4ClassRunner`

### getTestClassMetadata

    public TestClassMetadata getTestClassMetadata()

### withBeforeClasses

    protected org.junit.runners.model.Statement withBeforeClasses(org.junit.runners.model.Statement statement)

  Overrides:
    `withBeforeClasses` in class `org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>`

### withAfterClasses

    protected org.junit.runners.model.Statement withAfterClasses(org.junit.runners.model.Statement statement)

  Overrides:
    `withAfterClasses` in class `org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>`

### methodBlock

    protected org.junit.runners.model.Statement methodBlock(org.junit.runners.model.FrameworkMethod method)

  Overrides:
    `methodBlock` in class `org.junit.runners.BlockJUnit4ClassRunner`

### getTestInstance

    protected Object getTestInstance()
                              throws Exception

  Throws:
    `Exception`

### createTest

    protected Object createTest()
                         throws Exception

  Overrides:
    `createTest` in class `org.junit.runners.BlockJUnit4ClassRunner`
  Throws:
    `Exception`

### computeTestMethods

    protected List<org.junit.runners.model.FrameworkMethod> computeTestMethods()

  Overrides:
    `computeTestMethods` in class `org.junit.runners.BlockJUnit4ClassRunner`

### sortMethods

    protected void sortMethods(List<org.junit.runners.model.FrameworkMethod> computedTestMethods)

### doComputation

    protected List<org.junit.runners.model.FrameworkMethod> doComputation()

### convertSkipToIgnore

    protected org.junit.Ignore convertSkipToIgnore(org.junit.runners.model.FrameworkMethod frameworkMethod)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.